Bug 130054 - Function wizard: Clicking on column header to get A:A-style reference stops working after switching to another sheet
Summary: Function wizard: Clicking on column header to get A:A-style reference stops w...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.5.0 target:6.4.2
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2020-01-17 12:47 UTC by Axel Braun
Modified: 2020-02-12 16:59 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2020-01-17 12:47:45 UTC
Description:
In VLOOKUP function in calc one has to select a matrix at a certain point in time. It would be helpful if one can select whole column(s) as matrix. A large competitor has this feature, it is quite handy

Actual Results:
Is currently:
=SVERWEIS(A10;$Tabelle3.A$1:A$31;1;0)

Expected Results:
Should be:
=SVERWEIS(A10;$Tabelle3.A:A1;1;0)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.1
Build-ID: 40(Build:1)
CPU-Threads: 4; BS: Linux 5.4; UI-Render: Standard; VCL: kf5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 1 Mike Kaganski 2020-01-17 12:59:01 UTC
What "A:A1" reference means?

OTOH, "A:A" reference syntax is supported since long ago...
Comment 2 Axel Braun 2020-01-17 13:02:28 UTC
(In reply to Mike Kaganski from comment #1)
> What "A:A1" reference means?

Should read A:A of course
 
> OTOH, "A:A" reference syntax is supported since long ago...

Then it is maybe an issue with the wizard? When I selected just one column it did not accept the input
Comment 3 Mike Kaganski 2020-01-17 13:05:59 UTC
(In reply to Axel Braun from comment #2)
> Then it is maybe an issue with the wizard? When I selected just one column
> it did not accept the input

Works here: just clicking on a column header puts A:A into the argument field, and successfully accepted. You need to provide specific steps that fail for you, possibly with a sample file if that happens to be a file issue.
Comment 4 Axel Braun 2020-01-17 13:17:51 UTC
(In reply to Mike Kaganski from comment #3)
> (In reply to Axel Braun from comment #2)
> > Then it is maybe an issue with the wizard? When I selected just one column
> > it did not accept the input
> 
> Works here: just clicking on a column header puts A:A into the argument
> field, and successfully accepted. You need to provide specific steps that
> fail for you, possibly with a sample file if that happens to be a file issue.

Just x-checked, I cant select the first col in the wizard. I have to mark a range of cells.
I will send an example by private mail
Comment 5 Mike Kaganski 2020-01-17 20:03:14 UTC
Steps: in a spreadheet with 2 sheets, start function wizard, insert VLOOKUP, and try to fill the arguments using mouse. Try clicking on header of column A in the same sheet: A:A appears in the selected parameter box. Now try to switch to another sheet (without closing the wizard) and click header of A. It doesn't work anymore. Returning to original sheet and interacting with wizard doesn't restore the function; only closing and reopening wizart helps - until you switch to another sheer again.

Tested with Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 12; OS Version: Windows 6.19; UI Render: default; 
Locale: ru-RU (ru_RU); Calc: group

and Version: 6.5.0.0.alpha0+ (x64)
Build ID: 00710aebdf339415f1fa2072ef6a76c8bb6a591a
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL

Versions prior to 5.2 didn't support clicking on headers to get A:A-style references.
Comment 6 Mike Kaganski 2020-01-18 09:14:40 UTC
https://gerrit.libreoffice.org/c/core/+/87007
Comment 7 Commit Notification 2020-01-18 10:45:43 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bda31b1a95b284749cd5e4d9596aab8e1aa93714

tdf#130054: consider all row/col bars in ScTabView::EnableRefInput

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Axel Braun 2020-01-18 13:48:03 UTC
(In reply to Commit Notification from comment #7)
> Mike Kaganski committed a patch related to this issue.
> It has been pushed to "master":

That was quick, thank you very much.
Any chance this is backported to current 6.4 release?
Comment 9 Commit Notification 2020-02-12 16:59:04 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2c9dc34b332b6cb4c121e85989e4e8e2ab822ea5

tdf#130054: consider all row/col bars in ScTabView::EnableRefInput

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.